Subject: Re: [RFC v4 00/19] batman-adv: netlink restructuring, part 2

From: Jiri Pirko <[email-masked]>
Date: Mon, 21 Jan 2019 10:47:16 +0100

Sat, Jan 19, 2019 at 04:56:07PM CET, [email-masked] wrote:
>Hi,
>
>Jiri Pirko called the batman-adv configuration interface a while back "a
>huge mistake" [1] and suggested genl as alternative. The first
>reimplementation [2] (based on the team/devlink design) was rejected. This
>second implementation is now using a nl80211-like design. The objects which
>can now be modified/queried are:
>
>* mesh/soft-interface (BATADV_CMD_GET_MESH/BATADV_CMD_SET_MESH)
>* slave/hard-interface (BATADV_CMD_GET_HARDIF/BATADV_CMD_SET_HARDIF)
>* vlan (BATADV_CMD_GET_VLAN/BATADV_CMD_SET_VLAN)
>
>Such a set messages automatically triggers a *_SET_* "reply" via the config
>multicast group. The same behavior was also added to the sysfs interface.

In general aside of couple of nits I described, this iteration of
the patchset looks very nice to me. Thanks!